import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  GetRepositoryPermissionsPolicyRequest,
  GetRepositoryPermissionsPolicyResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetRepositoryPermissionsPolicyCommandInput
  extends GetRepositoryPermissionsPolicyRequest {}
export interface GetRepositoryPermissionsPolicyCommandOutput
  extends GetRepositoryPermissionsPolicyResult,
    __MetadataBearer {}
export declare class GetRepositoryPermissionsPolicyCommand extends $Command<
  GetRepositoryPermissionsPolicyCommandInput,
  GetRepositoryPermissionsPolicyCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: GetRepositoryPermissionsPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetRepositoryPermissionsPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetRepositoryPermissionsPolicyCommandInput,
    GetRepositoryPermissionsPolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
