import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CodeartifactClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodeartifactClient";
import {
  PutPackageOriginConfigurationRequest,
  PutPackageOriginConfigurationResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface PutPackageOriginConfigurationCommandInput
  extends PutPackageOriginConfigurationRequest {}
export interface PutPackageOriginConfigurationCommandOutput
  extends PutPackageOriginConfigurationResult,
    __MetadataBearer {}
export declare class PutPackageOriginConfigurationCommand extends $Command<
  PutPackageOriginConfigurationCommandInput,
  PutPackageOriginConfigurationCommandOutput,
  CodeartifactClientResolvedConfig
> {
  readonly input: PutPackageOriginConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutPackageOriginConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CodeartifactClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutPackageOriginConfigurationCommandInput,
    PutPackageOriginConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
